{
  "name": "pimcity-personal-consent-manager-frontend",
  "version": "0.1.0",
  "description": "PIMCity Personal Consent Manager API",
  "author": "Dani Fernandez <daniel@wibson.io>",
  "main": "src/index.ts",
  "private": false,
  "license": "AGPL-3.0-only",
  "engines": {
    "node": "=12"
  },
  "scripts": {
    "serve": "serve -s build -l tcp://${HOST}:${PORT}",
    "start": "craco start",
    "build": "craco build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "lint": "eslint --ext .js,.jsx,.ts,.tsx ."
  },
  "dependencies": {
    "@craco/craco": "6.2.0",
    "@headlessui/react": "1.3.0",
    "@heroicons/react": "1.0.2",
    "@react-keycloak/web": "3.4.0",
    "keycloak-js": "16.1.1",
    "react": "17.0.1",
    "react-dom": "17.0.1",
    "react-query": "3.17.0",
    "react-router-dom": "5.2.0",
    "react-scripts": "4.0.1",
    "react-spinners": "0.10.4",
    "typescript": "4.2.4",
    "web-vitals": "0.2.4"
  },
  "devDependencies": {
    "@testing-library/jest-dom": "5.11.4",
    "@testing-library/react": "11.1.0",
    "@testing-library/user-event": "12.1.10",
    "@types/jest": "26.0.23",
    "@types/node": "15.3.0",
    "@types/react": "17.0.5",
    "@types/react-dom": "17.0.5",
    "@types/react-router-dom": "5.1.7",
    "autoprefixer": "9",
    "eslint-config-airbnb": "18.2.1",
    "eslint-plugin-only-warn": "1.0.2",
    "eslint-plugin-react": "7.22.0",
    "eslint-plugin-tailwind": "0.2.1",
    "postcss": "7",
    "serve": "12.0.0",
    "tailwindcss": "npm:@tailwindcss/postcss7-compat",
    "typescript-plugin-css-modules": "3.2.0"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
